Bug 879241 - [RFE] [cli] missing "Machine Type" in return of `system subscriptions`
[RFE] [cli] missing "Machine Type" in return of `system subscriptions`
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Adam Price
SAM QE List
: FutureFeature
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2012-11-22 07:20 EST by Garik Khachikyan
Modified: 2017-06-26 16:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:37:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-11-22 07:20:59 EST
Description of problem:
In recent SAM 1.2 (client) there is missing an information about subscription's type: {physical,virtual}

Version-Release number of selected component (if applicable):
katello-cli-1.2.4-2h.el6_3.noarch
katello-headpin-1.2.6-2h.el6_3.noarch


How reproducible:
always

Steps to Reproduce:
1.import a manifest that has subscription of "Red Hat Enterprise Linux Server, <WHATEVER> (Up to <X> guests)"
2.register/subscribe a virtual host
3.register one of host's guests
4.do: `system subscriptions --name <guest> --org <org>`
  
Actual results:
there is no indicator if the pool is virtual or physical. So no way to distinguish and consume the virtual pool for the guests

Expected results:
make available that info. RHSM seems have it, so it would not be hard to implement.

Additional info:
It seems to me an important feature for our clients (remote admin making entitlements for the guest systems via cli) to have.
Comment 5 Garik Khachikyan 2013-09-02 11:05:39 EDT
# REOPEN

there is (still) no property like "System Type" to indicate "Physical|Virtual".

Also not sure why it was put to fixed (I can not see the comment/version telling that it was fixed).

And still:
---
sam> system subscriptions --name guest1 --org Garik --available
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                                                Available Subscriptions for System [ guest1 ]
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

ID                : 8a90863a40de0f290140de1bd364006e
Name              : Red Hat Employee Subscription
End Date          : 2022-01-01T04:59:59.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : Not Applicable
---
Comment 7 Garik Khachikyan 2013-09-02 11:17:57 EDT
versions:
---
SAM 1.3 Snap4

candlepin-0.8.24-1.el6sam.noarch
candlepin-cert-consumer-cfseserver6.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.24-1.el6sam.noarch
candlepin-tomcat6-0.8.24-1.el6sam.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-cli-1.4.3-9.el6sat.noarch
katello-cli-common-1.4.3-9.el6sat.noarch
katello-common-1.4.3-11.el6sam_splice.noarch
katello-configure-1.4.4-3.el6sat.noarch
katello-glue-candlepin-1.4.3-11.el6sam_splice.noarch
katello-glue-elasticsearch-1.4.3-11.el6sam_splice.noarch
katello-headpin-1.4.3-11.el6sam_splice.noarch
katello-headpin-all-1.4.3-11.el6sam_splice.noarch
katello-selinux-1.4.4-2.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
signo-katello-0.0.20-1.el6sat.noarch
thumbslug-0.0.32-1.el6sam.noarch
thumbslug-selinux-0.0.32-1.el6sam.noarch
Comment 12 Bryan Kearney 2017-06-26 16:37:28 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.